import { ChangeEvent, Dispatch, MouseEvent, SetStateAction } from 'react';
export interface ToggleEventProps<T> {
    items: T[];
    toggle: boolean;
    event: MouseEvent | ChangeEvent;
}
export interface OptionDrawerProps<T extends {
    id: string;
    label: string;
    parentId?: string;
    children?: T[];
}> {
    item: T;
    onToggle: ({ items, toggle, event }: ToggleEventProps<T>) => void;
    section?: number;
    selectedItems?: T[];
    singleSelect?: boolean;
    siblings?: number;
    animateCheck?: boolean;
    animateUncheck?: boolean;
    animateParent?: Dispatch<SetStateAction<boolean>>;
    openAll?: boolean;
    showIntermediateParent?: boolean;
    parentHasNestedItems?: boolean;
}
export declare const OptionDrawer: {
    <T extends {
        id: string;
        label: string;
        parentId?: string;
        children?: T[];
    }>({ item, onToggle, section, selectedItems, singleSelect, siblings, animateCheck, animateUncheck, animateParent, openAll, showIntermediateParent, parentHasNestedItems, }: OptionDrawerProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
